Skip to main content
POST
/
companies
/
{companyId}
/
conversations
/
{cid}
/
messages
Continue an existing company-agent conversation
curl --request POST \
  --url https://app.hockeystack.com/api/revenue-agents/v1/companies/{companyId}/conversations/{cid}/messages \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "message": "<string>"
}
'
{
  "conversation_id": "<string>",
  "messages": [
    {
      "content": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

companyId
string
required

CRM company (account) ID.

Required string length: 1 - 64
cid
string
required

Conversation ID returned by POST /deals/{dealId}/conversations (or the company equivalent).

Required string length: 1 - 128

Body

application/json
message
string
required

User message text.

Required string length: 1 - 10000

Response

Assistant response.

conversation_id
string
required

Use this on subsequent POST /conversations/{cid}/messages calls to continue the thread.

messages
object[]
required

Messages produced by this turn (typically one assistant message).